Subject: Re: bug#33102: 26.1, emacs-mac 7.2; *Newsticker List* frame's SPC does not next page as expected

From: VanL <[email-masked]>
Date: Thu, 11 Jul 2019 00:52:46 +1000

> On 11 Jul 2019, at 00:28, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> SPC in the Newsticker List window scrolls the Newsticker Item window,
> which seems like a natural thing to do (and is the same that Gnus
> summary buffer does).
> 
> Or did you mean something else?

I try to get used to that natural thing to do.

Yes, I might've been thrown by the 'side-effect' page-down in the next buffer without focus on the item-buffer.

I tried the following setting to allow page down in the summary buffer, directly.

--8<---------------cut here---------------start------------->8---
(add-hook 'gnus-summary-mode-hook
	  (lambda ()
	    (define-key gnus-summary-mode-map
	      (kbd "<SPC>") 'scroll-up-command)))

--8<---------------cut here---------------end--------------->8---